<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_pyramid_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_pyramid_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__vx__pyramid.html">Pyramid APIs</a>]</small>
</h1><!-- doxytag: class="tivx_pyramid_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Pyramid object internal state. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__reference__t.html">tivx_reference_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__pyramid__t.html#aaf6a3ce81c3e6f37a14a89ad41de3e01">base</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">reference object  <a href="#aaf6a3ce81c3e6f37a14a89ad41de3e01"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#afaa07841fe324f1c1d5b0f27c27de7b5">vx_image</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__pyramid__t.html#a0e233285980738b70329c48023633234">img</a> [TIVX_PYRAMID_MAX_LEVEL_OBJECTS]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">array of image objects  <a href="#a0e233285980738b70329c48023633234"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="aaf6a3ce81c3e6f37a14a89ad41de3e01"></a><!-- doxytag: member="tivx_pyramid_t::base" ref="aaf6a3ce81c3e6f37a14a89ad41de3e01" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__reference__t.html">tivx_reference_t</a> <a class="el" href="structtivx__pyramid__t.html#aaf6a3ce81c3e6f37a14a89ad41de3e01">tivx_pyramid_t::base</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>reference object </p>

</div>
</div>
<a class="anchor" id="a0e233285980738b70329c48023633234"></a><!-- doxytag: member="tivx_pyramid_t::img" ref="a0e233285980738b70329c48023633234" args="[TIVX_PYRAMID_MAX_LEVEL_OBJECTS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#afaa07841fe324f1c1d5b0f27c27de7b5">vx_image</a> <a class="el" href="structtivx__pyramid__t.html#a0e233285980738b70329c48023633234">tivx_pyramid_t::img</a>[TIVX_PYRAMID_MAX_LEVEL_OBJECTS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array of image objects </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
